jQuery(document).ready(function($){
    // var check_badge= $('.enable-badge .cmb2-option:checked').val();

    $.switcher('#cwpt .cmb2-wrap input[type=checkbox]');

    var admin_fields= $('.enable_admin_fields .ui-switcher').attr('aria-checked');
    var front_fields= $('.enable_front_fields .ui-switcher').attr('aria-checked');

    var admin_fields_container = $('.admin-tab-fields .cmb-repeatable-grouping'),
    front_fields_container = $('.front-tab-fields .cmb-repeatable-grouping');

    admin_fields_container.each(function(index){
        //tab name from label
        var label = $('#cmb-group-cwpt_admin_tab_fields-'+index+ ' #cwpt_admin_tab_fields_'+index+'_label');
        // $('.cwpt_admin_tab_fields_'+index+'_label').val();
        label.on('keyup', function(){
            // console.log($(this).parents('#cmb-group-cwpt_admin_tab_fields-'+index).children('h3').children('span').text($(this).val()));
            // $(this).parent().find('.cmb-group-title').text($(this).val())
            var value = $(this).val();
            $(this).parents('#cmb-group-cwpt_admin_tab_fields-'+index).children('h3').children('span').text(value)
        });
        label.parents('#cmb-group-cwpt_admin_tab_fields-'+index).children('h3').children('span').text(label.val());

    });

    front_fields_container.each(function(index){
        //tab name from label
        var label = $('#cmb-group-cwpt_front_tab_fields-'+index+ ' #cwpt_front_tab_fields_'+index+'_label');
        // $('.cwpt_admin_tab_fields_'+index+'_label').val();
        label.on('keyup', function(){
            // console.log($(this).parents('#cmb-group-cwpt_admin_tab_fields-'+index).children('h3').children('span').text($(this).val()));
            // $(this).parent().find('.cmb-group-title').text($(this).val())
            var value = $(this).val();
            $(this).parents('#cmb-group-cwpt_front_tab_fields-'+index).children('h3').children('span').text(value)
        });
        label.parents('#cmb-group-cwpt_front_tab_fields-'+index).children('h3').children('span').text(label.val());

    });

    $('.enable_admin_fields .ui-switcher').click(function(){
        if($(this).attr('aria-checked') == 'true'){
            $('.custom-tab-label').fadeIn('fast');
            $('.admin-tab-fields').fadeIn('fast');
        }
        
        if($(this).attr('aria-checked') == 'false'){
            $('.custom-tab-label').fadeOut('fast');
            $('.admin-tab-fields').fadeOut('fast');
        }else{
            $('.custom-tab-label').fadeIn('fast');
            $('.admin-tab-fields').fadeIn('fast');
        }
    });

    if(admin_fields == 'false'){
        $('.custom-tab-label').hide();
        $('.admin-tab-fields').hide();
    }else{
        $('.custom-tab-label').show();
        $('.admin-tab-fields').show();
    }

    $('.enable_front_fields .ui-switcher').click(function(){
        if($(this).attr('aria-checked') == 'true'){
            $('.front-fields-title').fadeIn('fast');
            $('.front-tab-fields').fadeIn('fast');
        }
        
        if($(this).attr('aria-checked') == 'false'){
            $('.front-fields-title').fadeOut('fast');
            $('.front-tab-fields').fadeOut('fast');
        }else{
            $('.front-fields-title').fadeIn('fast');
            $('.front-tab-fields').fadeIn('fast');
        }
    });

    if(front_fields == 'false'){
        $('.front-fields-title').hide();
        $('.front-tab-fields').hide();
    }else{
        $('.front-fields-title').show();
        $('.front-tab-fields').show();
    }

});